@import '_variables';
@import '_mixins';

@import 'bootstrap.scss';
@import 'classes.scss';
@import 'accordion.scss';

@font-face {
  font-family: 'Proza Libre';
  font-style: normal;
  font-display: optional;
  font-weight: 400;
  src: local('Proza Libre Regular'),
  local('Proza Libre-Regular'),
  url('./fonts/proza-libre-v4-latin-regular.woff2') format('woff2')
}

@font-face {
  font-family: 'Proza Libre';
  font-style: normal;
  font-display: optional;
  font-weight: 600;
  src: local('Proza Libre SemiBold'),
  local('Proza Libre-SemiBold'),
  url('./fonts/proza-libre-v4-latin-600.woff2') format('woff2')
}

/* Default */
html {
  position: relative;
  min-height: 100%;
}

body {
  font-family: -apple-system, BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
  line-height: 1.58;
  background-color: #FFFAF6;
  color: $main-font-color;
}

#app {
  margin: auto;
}

main {
  @include margin-top(5rem);

  padding: 0 $main-horizontal-padding;
}

img {
  max-width: 100%;
}

p > a,
p > span > a,
p > strong > a,
article li > a,
.jpt-accordion .card li > a,
.jpt-accordion .card li > span > a,
.jpt-router-link,
footer a {
  @include peertube-link;
}

p > strong,
li > strong {
  font-weight: $font-semibold;
}

*:focus-visible {
  box-shadow: 0 0 0 0.25rem $orange;
  outline: 0;
}

.navbar-toggler {
  border-width: 2px;

  &:focus {
    box-shadow: 0 0 0 0.25rem $orange;
  }
}

// ---------------------------------------------------------------------------

h1,
h2,
h3 {
  @include proza;
}

h1,
h2,
h3 {
  font-weight: normal;
}

h1 {
  @include font-size(3rem);
  @include margin-bottom(1.25rem);

  & + .small-separator {
    @include margin-bottom(2.5rem);
  }
}

h2 {
  @include font-size(2rem);

  & + .small-separator {
    @include margin-bottom(1.25rem);
  }
}

h3,
h4 {
  @include font-size(1.5rem);

  & + .small-separator {
    @include margin-bottom(1rem);

    height: 3px;
    width: 25px;
  }
}

.small-separator {
  width: 50px;
  height: 6px;
  background: #f2690d;
  border-radius: 4px;
}

.title-block {
  @include margin-bottom(3rem);

  max-width: 600px;
  margin-inline-start: auto;
  margin-inline-end: auto;
  text-align: center;

  .small-separator {
    @include margin-bottom(1rem);

    margin-inline-start: auto;
    margin-inline-end: auto;
  }

  .explanation {
    @include font-size(1.5rem);
  }
}


// ---------------------------------------------------------------------------

input[type=text] {
  @include font-size-14px;

  background: #fff;
  border: 1px solid $beige-700;
  border-radius: 6px;
  padding: 7px 10px;

  &::placeholder {
    color: $grey
  }

  &:focus {
    box-shadow: 0 0 0 .25rem $beige-600;
  }

  &:focus-visible {
    outline: 0;
    box-shadow: 0 0 0 .15rem $orange;
  }

  &.grouped {
    border-inline-end: 0;
    border-start-end-radius: 0;
    border-end-end-radius: 0;
  }
}

input[type=text].grouped + button {
  border-start-start-radius: 0;
  border-end-start-radius: 0;
}

input[type=checkbox] {
  opacity: 0;
  position: absolute;

  &:focus + span {
    box-shadow: 0 0 0 .2rem #ADB5BD;
  }

  + span {
    position: relative;
    display: inline-block;
    width: 18px;
    min-width: 18px;
    height: 18px;
    border: 1px solid #ADB5BD;
    border-radius: 3px;
    vertical-align: middle;
    cursor: pointer;

    &::after {
      content: '';
      position: absolute;
      top: 1px;
      left: 5px;
      width: 5px;
      height: 12px;
      opacity: 0;
      transform: rotate(45deg) scale(0);
      border-right: 2px solid #fff;
      border-bottom: 2px solid #fff;
    }
  }

  &:checked + span {
    border-color: transparent;
    background: $orange-main;
    animation: jelly 0.6s ease;

    &::after {
      opacity: 1;
      transform: rotate(45deg) scale(1);
    }
  }

  + span + span {
    margin-inline-start: 5px;
    font-weight: normal;
    cursor: pointer;
    display: inline;
  }

  &[disabled] + span,
  &[disabled] + span + span {
    opacity: 0.5;
    cursor: default;
  }
}

// ---------------------------------------------------------------------------
